<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('orders/deliveries:search', [\App\Http\ApiV1\Modules\Orders\Controllers\DeliveriesController::class, 'search']);
Route::get('orders/deliveries/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\DeliveriesController::class, 'get']);
Route::patch('orders/deliveries/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\DeliveriesController::class, 'patch']);
Route::post('orders/orders:search', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'search']);
Route::get('orders/orders/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'get']);
Route::patch('orders/orders/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'patch']);
Route::post('orders/orders/{id}:start-payment', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'paymentStart']);
Route::get('orders/orders/{id}:check-payment', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'paymentCheck']);
Route::post('orders/orders/{id}:change-payment-method', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'changePaymentSystem']);
Route::post('orders/orders/{id}:change-delivery', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'changeDelivery']);
Route::put('orders/orders/{id}:comment', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'addComment']);
Route::post('orders/orders:commit', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'commit']);
Route::post('orders/orders/{id}:attach-file', [\App\Http\ApiV1\Modules\Orders\Controllers\OrderFilesController::class, 'attach']);
Route::delete('orders/orders/{id}:delete-files', [\App\Http\ApiV1\Modules\Orders\Controllers\OrderFilesController::class, 'delete']);
Route::post('orders/shipments:search', [\App\Http\ApiV1\Modules\Orders\Controllers\ShipmentsController::class, 'search']);
Route::get('orders/shipments/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\ShipmentsController::class, 'get']);
Route::patch('orders/shipments/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\ShipmentsController::class, 'patch']);
Route::get('orders/order-statuses', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'getOrderStatuses']);
Route::get('orders/order-sources', [\App\Http\ApiV1\Modules\Orders\Controllers\OrdersController::class, 'getOrderSources']);
Route::get('orders/payment-methods', [\App\Http\ApiV1\Modules\Orders\Controllers\PaymentsController::class, 'getPaymentMethods']);
Route::get('orders/payment-statuses', [\App\Http\ApiV1\Modules\Orders\Controllers\PaymentsController::class, 'getPaymentStatuses']);
Route::get('orders/delivery-statuses', [\App\Http\ApiV1\Modules\Orders\Controllers\DeliveriesController::class, 'getDeliveryStatuses']);
Route::get('orders/shipment-statuses', [\App\Http\ApiV1\Modules\Orders\Controllers\ShipmentsController::class, 'getShipmentStatuses']);
Route::get('payment-systems/payment-systems', [\App\Http\ApiV1\Modules\PaymentSystems\Controllers\PaymentSystemsController::class, 'getPaymentSystems']);
Route::get('common/settings', [\App\Http\ApiV1\Modules\Common\Controllers\SettingsController::class, 'search']);
Route::patch('common/settings', [\App\Http\ApiV1\Modules\Common\Controllers\SettingsController::class, 'patchSeveral']);
Route::post('refunds/refunds', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'create']);
Route::post('refunds/refunds:search', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'search']);
Route::get('refunds/refunds/{id}', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'get']);
Route::patch('refunds/refunds/{id}', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'patch']);
Route::post('refunds/refunds/{id}:attach-file', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'attach']);
Route::delete('refunds/refunds/{id}:delete-files', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'deleteFiles']);
Route::get('refunds/refund-statuses', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'getRefundStatuses']);
Route::get('refunds/refund-reasons', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'getRefundReasons']);
Route::post('refunds/refund-reasons', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'createReason']);
Route::patch('refunds/refund-reasons/{id}', [\App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController::class, 'patchReason']);
